//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.IO;
using System.Web;
using CommunityServer.Components;
using CommunityServer.Configuration;

namespace CommunityServer.Files.Components
{
	/// <summary>
	/// Summary description for WeblogFileSettings.
	/// </summary>
	[System.Xml.Serialization.XmlRoot("AttachmentSettings")]
	public class FileGalleryAttachmentSettings : AttachmentSettings
	{
		public FileGalleryAttachmentSettings()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		public override void DeleteAttachmentFromDisk(int postID)
		{
			Entry e = Entries.GetEntry(postID);
			this.DeleteAttachmentFromDisk(e) ;
		}

	}
}

